// ==UserScript==
// @name          gnews-unity-integration
// @include       http://news.google.com/*
// @version       0.9
// @author        WebApps Team
// @require       not-an-integration-script-google-common.js
// @require       not-an-integration-script-google-common.js
// ==/UserScript==

function messagingIndicatorSetup() {
    setInterval(function () {
        var i, recent = document.getElementById('s_BREAKING_NEWS_BOX');

        if (!recent) {
            return;
        }

        var res = document.evaluate('div[2]/div', recent, null, XPathResult.ORDERED_NODE_SNAPSHOT_TYPE, null);
        for (i = 0; i < res.snapshotLength; i++) {
            var node = res.snapshotItem(i);
            var id = node.className.match(/\d+/)[0];
            var title = document.evaluate('div[@class="title"]', node, null, XPathResult.ANY_UNORDERED_NODE_TYPE, null).singleNodeValue.textContent;

            if (localStorage.getItem(id)) {
                localStorage.setItem(id, true);
                Unity.Notification.showNotification(_("Google News"), title, null);
            }
        }
    }, 2000);
    doMainMenuIntegration(document);
}

Unity.init({ name: _("Google News"),
             iconUrl: 'http://www.google.com/images/icons/product/news-128.png',
             onInit: messagingIndicatorSetup });
